
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Programming WPF》翻译 第7章 5.可视化层编程 / iVAN</title>

    <meta name="description" content="《Programming WPF》翻译 第7章 5.可视化层编程 形状元素能提供一种便利的方式与图形一起工作,在一些情形中,添加表示绘图的元素到UI树中,可 能是比它的价值更加麻烦.你的数据可能被构造以一种易于编写代码的方式--简单地表现一系列基于数 据的绘图操作,而不是构造一棵对象树. WPF提供一个&quot;可视化层&quot;API,作为一个对形状元素较低级别的折中.(实际上,形状元素全都在可 视化层得顶部被实现.)这个API使我们编写按需生成的代码. 可视化是一个可见的对象.WPF应用程序的外观是将它所有的可视化组合到屏幕上形成的.由于WPF生 成在 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Programming WPF》翻译 第7章 5.可视化层编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>形状元素能提供一种便利的方式与图形一起工作，在一些情形中，添加表示绘图的元素到UI树中，可 能是比它的价值更加麻烦。你的数据可能被构造以一种易于编写代码的方式——简单地表现一系列基于数 据的绘图操作，而不是构造一棵对象树。</p>
<p>WPF提供一个“可视化层”API，作为一个对形状元素较低级别的折中。（实际上，形状元素全都在可 视化层得顶部被实现。）这个API使我们编写按需生成的代码。</p>
<p>可视化是一个可见的对象。WPF应用程序的外观是将它所有的可视化组合到屏幕上形成的。由于WPF生 成在在可视化层的顶级，每个元素都是可视化的。FrameworkElement基类间接派生于Visual。在可视化层 编程,简单地解决了创建一个可视化和编写代码告诉WPF我们想要在可视化中显示什么。</p>
<p>即使在这个低的级别，WPF的表现非常不同于Win32。图形加速的方式是托管的，这意味着你的按需生 成的代码很少被调用——少于在经典Windows应用程序中。</p>
<p>7.5.1 按需生成</p>
<p>按需生成的关键定制为OnRender方法。这个方法被WPF调用在它需要你的组件生成它的外观时。（这是 内嵌形状的类生成它们自身的方式。）</p>
<p>OnRender虚方法定义在OnDemandVisual类。大多数元素都间接的通过FrameworkElement派生于此，这 就增加了核心样式如外观和输入处理。</p>
<p>示例7-47显示了一个字定义的元素，覆写了OnRender。</p>
<p>示例7-47</p>
<p><code>public class CustomRender : FrameworkElement<br />
{<br />
　　　 protected override void OnRender(DrawingContext drawingContext)<br />
　　　 {<br />
　　　　　　　 Debug.WriteLine("OnRender");</p>
<p>　　　　　　　 base.OnRender (drawingContext);</p>
<p>　　　　　　　 drawingContext.DrawRectangle(Brushes.Red, null, new Rect(0, 0, 100, 50));</p>
<p>　　　　　　　 FormattedText text = new FormattedText("Hello, world",<br />
　　　　　　　　　　　 CultureInfo.CurrentUICulture, FlowDirection.LeftToRightThenTopToBottom,<br />
　　　　　　　　　　　 new Typeface("Verdana"), 24, Brushes.Black);<br />
　　　　　　　 drawingContext.DrawText(text, new Point(3, 3));<br />
　　　 }</p>
<p>}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:28:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%bd%a2%e7%8a%b6/" title="形状">形状</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90/" title="生成">生成</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e8%a7%86%e5%8c%96/" title="可视化">可视化</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e8%a7%86%e5%8c%96%e7%bc%96%e7%a8%8b/" title="可视化编程">可视化编程</a>, <a href="https://www.iamivan.net/tag/drawtext/" title="drawtext">drawtext</a>, <a href="https://www.iamivan.net/tag/wpf-win32/" title="wpf win32">wpf win32</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Programming WPF》翻译 第7章 5.可视化层编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvW3WM.html" rel="bookmark">《Programming WPF》翻译 目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:&lt;Programming WPF&gt;翻译 目录 注:第1.2章我只做了笔记,没有翻译,请大家阅读时注意. 还有就是,这本书的英文版本下载:[O'Reilly] Programming Windows Presentation Foundation (2005) - BBL 以下是这本书的目录: 1.Hello, WPF     1.1 WPF from Scratch 基础     1.2 Navigation 导航     1.3 属性元素     1.4 布局     1.6 数据绑定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvwwmM.html" rel="bookmark">《TensorFlow技术解析与实战》&mdash;&mdash;第3章　可视化TensorFlow  3&period;1PlayGround</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 可视化TensorFlow 可视化是认识程序的最直观方式.在做数据分析时,可视化一般是数据分析最后一步的结果呈现.把可视化放到&quot;基础篇&quot;,是为了让读者在安装完成后,就能先看一下TensorFlow到底有哪些功能,直观感受一下深度学习的学习成果,让学习目标一目了然. 3.1  PlayGround PlayGround[1]是一个用于教学目的的简单神经网络的在线演示.实验的图形化平台,非常强大地可视化了神经网络的训练过程.使用它可以在浏览器里训练神经网络,对Tensorflow有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLoryAM.html" rel="bookmark">《TensorFlow技术解析与实战》&mdash;&mdash;第3章　可视化TensorFlow</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 可视化TensorFlow TensorFlow技术解析与实战可视化是认识程序的最直观方式.在做数据分析时,可视化一般是数据分析最后一步的结果呈现.把可视化放到&quot;基础篇&quot;,是为了让读者在安装完成后,就能先看一下TensorFlow到底有哪些功能,直观感受一下深度学习的学习成果,让学习目标一目了然.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNGkaM.html" rel="bookmark">《深入理解OSGi：Equinox原理、应用与最佳实践》一第2章　模块层规范与原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 模块层规范与原理 从本章开始,我们将为读者讲解OSGi中最常用和最重要的内容.&quot;最常用和最重要&quot;意味着并不会涵盖OSGi规范的所有方面.&quot;讲解&quot;也不是对OSGi规范的直接翻译,笔者简化了OSGi规范中一些近乎于数学公式的严谨描述,改用尽可能通俗的语言进行介绍,并添加了目前业界在实际应用中使用规范中定义的内容的例子. 如果要学习Java语言,相信没有人会推荐从&lt;Java语言规范&gt;和&lt;Java虚拟机规范&gt;学起,因为刚开始接触Java的人没			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZERXOp.html" rel="bookmark">【c&plus;&plus;】涉及到MFC的可视化界面编程，如何设计高效率的类？有什么基本原则？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 [c++]涉及到MFC的可视化界面编程,如何设计高效率的类?有什么基本原则? 如题.用MFC编写有可视化界面的程序,如何设计类?可以谈自己的体会,也可以贴给我相关资源,谢谢! 解决方案 其实不需要多设计,mfc都替你封装好了,你需要的就是熟悉它的提供的各种控件组合,&quot;来组装你的界面. 等你熟悉了,自然就知道怎么设计界面库了. 解决方案二: 纯 MFC 实现,还是借助于第三方一些库吧 不用太复杂的设计,贴图 + 简单的处理逻辑.将基本的控件设计成类就行! 解决方案三: 想要高效率就别用M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZexZp.html" rel="bookmark">《OpenACC并行程序设计：性能优化实践指南》一 第1章  从串行编程到并行编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 从串行编程到并行编程 Rob Farber TechEnablement.com CEO/创始人 本章主要向读者介绍OpenACC,演示如何使用OpenACC编写运行在多核CPU和类似GPU加速器上的可移植并行程序,并展示如何在CPU和GPU上编译和运行OpenACC程序. 阅读本章后,读者将会理解以下内容: 如何创建.编译和运行OpenACC应用程序. 高性能OpenACC编程的三个准则. 数据并行和任务并行编程的基本概念. 理解大O表示法和Amdahl定律. 竞争条件.原子操作,以及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkQEZM.html" rel="bookmark">python 教程 第十九章、 图形界面编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第十九章. 图形界面编程 import Tkinter top = Tkinter.Tk() hello = Tkinter.Label(top, text='Hello World!') hello.pack() quit = Tkinter.Button(top, text='QUIT',command=top.quit) quit.pack(fill=Tkinter.X, expand=1) Tkinter.mainloop()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPOOOp.html" rel="bookmark">《易学Python》&mdash;&mdash;第6章 类与面向对象编程   6&period;1 类是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第6章 类与面向对象编程 本章介绍如下内容: 一种看待类的更简单方式: 如何使用类来设计程序. 在本书前面,始终未涉及Python中组织程序的基本方式之一:类.类和面向对象编程通常被认为是一个庞大而吓人的主题,仅供真正的程序员用来编写程序,因此您可能认为,要正确地使用它们,需要大量的理论知识.没有比这种看法更离谱的了.在Python中,使用类和面向编程易如反掌. 在本章中,您将首先复习第2章为游戏Hunt the Wumpus编写的洞穴生成代码,并了解到使用类编写这些代码容易得多:然后,您将以此			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOGv8M.html" rel="bookmark">vBot 0&period;2发布 可视化的编程游戏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vBot是一个可视化的编程游戏.玩家使用一个小的命令拼贴来建立一个程序控制VBOT,并使可以激活每一个目标,使用有限的命令集. vBot 0.2这个版本大多数动画可以立即开始运行.增加了一个新的级别.通过双击可以将一个命令拼贴移动到下一个开放的空间.现在不允许调用F1到F1或F2到F2,以防止循环. 下载地址: https://bitbucket.org/leeharr/vbot/downloads/vbot-0.2.zip https://bitbucket.org/leeharr/vbot/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Q10p.html" rel="bookmark" class="title">linux虚拟机-linux光盘中加入自己的rpm，重新制作成iso后，虚拟机启动少了几个rpm包</a>
					<div>
						问题描述 linux光盘中加入自己的rpm,重新制作成iso后,虚拟机启动少了几个rpm包 大体步骤就是先把光盘文件考到计算机中,然后在Package中加入自己的包,createrepo后制作镜像,虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bolZ3M.html" rel="bookmark" class="title">Dreamweaver 4 简明教程&lpar;八、为网页增添互动效果3&rpar;</a>
					<div>
						dreamweaver|教程|网页 八.为网页增添互动效果 举例:如何打开一个没有工具栏的浏览窗口 在文字或图片的链接中,只要把Target设为&quot;_blank&quot;就可是使链接到的网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQOZwp.html" rel="bookmark" class="title">精彩：ASP导出Excel数据的四种方法</a>
					<div>
						excel|导出excel|数据 一.使用OWC 什么是OWC? OWC是Office Web Compent的缩写,即Microsoft的Office Web组件,它为在Web中绘制图形提供了灵活的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq53aM.html" rel="bookmark" class="title">配置复制</a>
					<div>
						在执行复制之前必须对系统进行复制选项的配置,主要包括:出版者订购者分发者分发数据库    通过SQL Server Enterprise Manager 提供的Create Publication W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQQKQb.html" rel="bookmark" class="title">Ultradev实例教程&colon;3&period;4 向数据库添加纪录</a>
					<div>
						教程|数据|数据库 第三章:应用数据库创建动态网页 第四节:向数据库添加纪录 前面数据库没有纪录的时候为了测试的方便我们就直接操作数据库,向里面添加了几条数据.下面的内容是教大家制作一个提交数据的页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAJkXp.html" rel="bookmark" class="title">怎样设计令用户满意的交互</a>
					<div>
						在学校修管理学的时候,有讲过一个管理激励的理论.管理激励是基于行为和认知科学的研究,来发现人们的需要.动机.目标和行为四者之间关系的核心理论,主要的目的是讨论如何满足人的各种需要.调动人的积极性.由此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ8J0z.html" rel="bookmark" class="title">让百度最在短时间内稳定收录新站内容的一些经验</a>
					<div>
						百度不像谷歌,你网站有多少内容它就会收录多少,在加上新站又没有什么权重,因此百度对新站的内容收录都是一搭没一搭的,那么我们站长要如何做才能让百度稳定的收录我们网站更多的内容呢? 首先)站长需要每天找个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBqQAb.html" rel="bookmark" class="title">windows server 2008 R2&sol;windows 7管理二十六 ADRMS客户端使用及侦错</a>
					<div>
						预计我以后都没太多时间专研新技术和写文啦,尽量挤时间吧,有一篇放一篇吧,呵呵 首先看看RMS管理控制台的一些简要功能介绍. 在rms主机上右键-属性,如果在安装的时候没有选择scp注册的同学选哦在这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKxQ9p.html" rel="bookmark" class="title">Java理论与实践&colon;在没有数据库的情况下进行数据库查询</a>
					<div>
						我最近仔细考察了一个项目,该项目涉及相当多的 Web 快速搜索.当爬虫程 序爬过不同的 Web 站点时,它将建立一个数据库,该数据库中包括它所爬过的 站点和网页.每一页所包含的链接.每一页的分析结果等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyZ48b.html" rel="bookmark" class="title">手机网游制造之网络通信篇</a>
					<div>
						开发程序:疯狂的炸弹 开发进度:第二期 本期要点:设计客户端网络功能 开发平台:java平台 上期我们讲了客户端游戏功能,设计的程序只是一个单机游戏,为什么会这样呢?因为没有网络功能,无法进行通信.本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP9jQM.html" rel="bookmark" class="title">JavaScript对W3C DOM模版的支持情况详解</a>
					<div>
						        本文档对象模型允许访问所有的文档内容和修改,由万维网联合会(W3C)规范.几乎所有的现代浏览器都支持这种模式.         在W3C DOM规范的大部分传统DOM的功能,而且还增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNngvb.html" rel="bookmark" class="title">PHP获取文件相对路径的方法</a>
					<div>
						 这篇文章主要介绍了PHP获取文件相对路径的方法,通过自定义函数实现获取文件相对路径的功能,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了PHP获取文件相对路径的方法.分享给大家供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOjYBb.html" rel="bookmark" class="title">Raid教程 全程图解手把手教你做RAID</a>
					<div>
						本文要以一个具体的磁盘阵列配置方法为例向大家介绍磁盘阵列的一些基本配置方法,给出一些关键界面,使各位对磁盘阵列的配置有一个理性认识.当然为了使各位对磁盘阵列有一个较全面的介绍,还是先来简要回顾一下有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo76WXb.html" rel="bookmark" class="title">WPS文字如何给段落添加双波浪边框</a>
					<div>
						  1.打开WPS文字中的一篇原始文档,用你鼠标选中需要添加双波浪边框的段落,然后把鼠标切换到功能区的&quot;开始&quot;选项,点击&quot;边框&quot;的图标按钮. 2.在弹出的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo77Odb.html" rel="bookmark" class="title">帮你提高效率的PS新画板小技巧</a>
					<div>
						  相信同学们都记得今年PS CC 2015有一个亮点是多画板支持,为了进一步展示这个方便的功能,今天我们列举了4条使用画板的小技巧,不得不说内里乾坤特别多,很多都是专为UI设计师贴心打造的,掌握起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oNnmb.html" rel="bookmark" class="title">PS为夏日花朵摄影照片调出唯美的色彩</a>
					<div>
						夏天来了,美丽的花漫山遍野,美不胜收.很多朋友喜欢拍花卉,但却不知道后期应该怎么处理才能更有味道.推陈出新的后期制作有时候是第二次创作,能给拍摄带来无限灵感,也能增加无限乐趣. 本期我们就邀请花卉达人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7A87M.html" rel="bookmark" class="title">如何用快盘快速同步IE收藏夹</a>
					<div>
						  IE 收藏夹保存默认情况下,在系统托盘. 系统崩溃或重新安装,如果你忘了导出收藏夹,我们努力最喜欢的网站将会丢失 !收藏夹位置如果您更改为更快的磁盘,不仅不必担心这个问题,您还可以直接不用借助,第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PVB3p.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;治理&rdquo;微信们：国家&OpenCurlyDoubleQuote;专项行动&rdquo;的商业反响</a>
					<div>
						5月27日,国家互联网信息办公室等部门,部署对微信.陌陌等进行一个月的专项治理. 公众账号是一个治理重点.管理部门指出,在这200多万公众账号中,亦有部分成为不法分子的传播工具,用以传播色情.暴力.恐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQGwOp.html" rel="bookmark" class="title">亚马逊近日推出了一项新功能</a>
					<div>
						据国外媒体报道,亚马逊近日推出了一项新功能,允许用户将亚马逊账户与自己的Facebook账户绑定,然后亚马逊便可以根据用户在Facebook上的活动提出产品购买建议.不过亚马逊强调说,不会与Faceb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N4lXM.html" rel="bookmark" class="title">Google V8编程详解（五）JS调用C&plus;&plus;</a>
					<div>
						最近由于忙着解决个人单身的问题,时隔这么久才更新第五章. 上一章主要讲了Google V8的Context概念.那么其实Google V8的基本概念还有FunctionTemplate, Object ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKND1b.html" rel="bookmark" class="title">SharePoint 2013 图文开发系列之Visual Studio 创建母版页</a>
					<div>
						原文:SharePoint 2013 图文开发系列之Visual Studio 创建母版页 一直以来,对于SharePoint母版页的创建,都是使用SharePoint Designer来创建和修改的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rBggz.html" rel="bookmark" class="title">游戏设计-请推荐管理游戏物品设计文档的工具</a>
					<div>
						问题描述 请推荐管理游戏物品设计文档的工具 请问各位大侠,有没有这样的工具: 我在设计游戏中的物品,想比较方便的管理物品的设计文档,这些文档需要被组织成继承树的结构,就像Android SDK的ref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7PQNp.html" rel="bookmark" class="title">半数网站存漏洞 360免费体检</a>
					<div>
						近日,美国FBI(美国联邦调查局)和CIA(美国中央情报局)网站接连被黑客组织Anonymous攻破,2011延续至今的世界性网络安全问题仍没有缓和的迹象. 而据360日前发布的&lt;2011年度互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX6P4z.html" rel="bookmark" class="title">asp&period;net base64图片解码保存的问题</a>
					<div>
						问题描述 asp.net base64图片解码保存的问题 ios 或 安卓 将图片转成base64 通过接口发送到asp.net一半处理程序.现在要将base64转回图片保存到服务器.求大神教我 如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNwokM.html" rel="bookmark" class="title">CIO如何站在行业高度引领你的企业成长？</a>
					<div>
						大多数CIO都会从企业的角度来衡量业务运作,而极少数CIO却站在行业的高度成功地为公司带来了空前的成长. 前几年,当我在某家期权期货交易所担任CIO时,该公司的期权交易量达到了每天300万单.在接下来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkP3AM.html" rel="bookmark" class="title">Map俩种遍历方式</a>
					<div>
						Map本身没有迭代器因而在遍历其中元素时需要采取新的措施,在JDK中提供了俩种方法 keySet Set&lt;K&gt; keySet() 返回此映射中包含的键的 Set 视图.该 set 受映射支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xWqKb.html" rel="bookmark" class="title">微信公众账号要变：显示文章阅读次数 设点赞按钮</a>
					<div>
						微信公众账号要变:显示文章阅读次数 设点赞按钮 腾讯科技讯(王鑫) 7月23日,微信公众账号正在酝酿新改版.以&quot;骑行西藏&quot;为代表的内部测试账号透露了调整方向:用户将能看到每篇公众账 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R6PDz.html" rel="bookmark" class="title">中国因技术壁垒年损失三千亿 连续14年居首位</a>
					<div>
						晨报讯(记者 刘映花)商务部昨日发布&lt;全球贸易摩擦研究报告&gt;指出,目前为止我国已经连续14年位居全球贸易调查的首位,技术性贸易壁垒将成为中国产品出口面临的最主要的障碍,去年它直接导致中国企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgP6kM.html" rel="bookmark" class="title">Razor入门</a>
					<div>
						    在学习MVC的时候,创建控制器总会看到默认的Razor:          然后,我们就可以在创建的视图里面这样写:       &lt;!--创建用户名文本框,等同于&lt;input ty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwvQ6M.html" rel="bookmark" class="title">quartz 定时任务被挂起问题</a>
					<div>
						问题描述 场景: 一个quartz定时任务,定时调用一个方法,方法里面通过多数据源从三个数据源ds1, ds2, ds3,获取数据,然后将这批数据插入另一个数据源 ds4的表中,再将这批数据从 ds4 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
